Crear lista de precios
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/price-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_economic_activity": "<string>",
"tax_inclusive": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists"
payload = {
"name": "<string>",
"is_automatic": True,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_economic_activity": "<string>",
"tax_inclusive": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
is_automatic: true,
automatic_pricing_mode: 'base_price_adjustment',
adjustment_percentage: 4950,
source_price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_economic_activity: '<string>',
tax_inclusive: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'is_automatic' => true,
'automatic_pricing_mode' => 'base_price_adjustment',
'adjustment_percentage' => 4950,
'source_price_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_economic_activity' => '<string>',
'tax_inclusive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/price-lists"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/price-lists")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/price-lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 123,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_inclusive": true,
"created_at": "2023-11-07T05:31:56Z",
"object": "price_list"
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for creating price lists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "CONFLICT",
"message": "A price list with this name already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not process the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Crear lista de precios
Crea una lista de precios para vender con reglas y valores comerciales diferenciados.
POST
/
api
/
v1
/
price-lists
Crear lista de precios
curl --request POST \
--url https://api.lapyme.com.ar/api/v1/price-lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_economic_activity": "<string>",
"tax_inclusive": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/price-lists"
payload = {
"name": "<string>",
"is_automatic": True,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 4950,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_economic_activity": "<string>",
"tax_inclusive": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
is_automatic: true,
automatic_pricing_mode: 'base_price_adjustment',
adjustment_percentage: 4950,
source_price_list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
default_economic_activity: '<string>',
tax_inclusive: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/price-lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/price-lists",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'is_automatic' => true,
'automatic_pricing_mode' => 'base_price_adjustment',
'adjustment_percentage' => 4950,
'source_price_list_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'default_economic_activity' => '<string>',
'tax_inclusive' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/price-lists"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lapyme.com.ar/api/v1/price-lists")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/price-lists")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"is_automatic\": true,\n \"automatic_pricing_mode\": \"base_price_adjustment\",\n \"adjustment_percentage\": 4950,\n \"source_price_list_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"default_economic_activity\": \"<string>\",\n \"tax_inclusive\": true\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": {
"price_list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_automatic": true,
"automatic_pricing_mode": "base_price_adjustment",
"adjustment_percentage": 123,
"source_price_list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tax_inclusive": true,
"created_at": "2023-11-07T05:31:56Z",
"object": "price_list"
},
"idempotent_replay": true
},
"warnings": [
"<unknown>"
]
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INVALID_REQUEST",
"message": "Invalid request for creating price lists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "AUTHENTICATION_REQUIRED",
"message": "API key is required in the Authorization header",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "FORBIDDEN",
"message": "Your API key does not have permission for this operation",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "CONFLICT",
"message": "A price list with this name already exists",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_price_list_create_1",
"error": {
"code": "INTERNAL_ERROR",
"message": "Could not process the price list",
"retryable": false,
"type": "invalid_request_error",
"details": []
}
}{
"request_id": "req_auth_capacity_1",
"error": {
"type": "api_error",
"code": "INTERNAL_ERROR",
"message": "La verificación de credenciales está ocupada. Reintentá más tarde.",
"retryable": true,
"details": []
}
}Authorizations
Headers
Body
application/json
Was this page helpful?

